#include "../h/snmp.h"

#define RETURNONERROR 0                  /* Action to be taken within */
#define PRINTRETURN   1                  /*   snmpmsg when an error */
#define PRINTEXIT     2                  /*   is encountered        */

typedef struct {
  int nr;                                /* nr MIB vars in this list */
  char name[SNMPMAXVARS][SNMPSTRLEN];    /* symbolic MIB var names (16,128) */
} vartable;

typedef struct {
  vartable vars;                         /* MIB variables returned */
  objval val[SNMPMAXVARS];               /* values returned (struct-snmp.h) */
  char asciival[SNMPMAXVARS][SNMPSTRLEN];/* ascii format of returned values */
} responseList;

typedef char ipAddr[SNMPSTRLEN];         /* Ip addr in dot. notation (128) */
typedef char commId[SNMPMXSID];          /* community name            (16) */  

