#define NOPRESS 0
#define PRESS   1
#define LOG     2
#define NOLOG   3

#define NOCLEAR 0
#define CLEAR   1

#define NRBUFFERS 10

typedef char mname[12];
typedef char mstring[80];
typedef char msgstr[244]; 
typedef mstring optlist[10];
typedef char commstr[255];
typedef commstr msgbuf[NRBUFFERS];

class msg {
  int nrBufUsed;
  msgbuf inbuf;
 public:
  msg();
  void newMsgBuf(int, int, msgstr);
  int addtoMsgBuf(int, int, msgstr);
  int sendOnelineMsg(int, int, msgstr);
  int sendMsgBuf();
  int recvMsgBuf(msgbuf);
  void decipherMsg(commstr, int&, int&, msgstr);
};

class menu {
  int nroptions;
  int lastoption;
  mstring prompt;
  mname name;
  int topline;
  optlist optionlist;
 public:
  menu();
  void deletemenu(mname);
  void setup(mname, int, mstring, int, optlist);
  int getresponse(int, int);
};

class iomgr {
  menu menu1;
  menu menu2;
  menu menu3;
  msg msgMgr;
  msgbuf outbuf;
  int logfileon;
  int dialogBoxOpen;
  int nrOutWaiting;
  int nextToRead;
  int logfileOnOff(msgstr);
  int getmenu2choice(msgstr);
  int getmenu3choice(msgstr);
 public:
  iomgr();
  int getnextinput(int&, msgstr);
  int savefilefirst(mstring);
  void printline(int, mstring);
  void titlescreen();
  void getresponse(mstring, int, int, mstring);
  void getresponse(int&, int, int, mstring);
  void getresponse(char&, int, int, mstring);
  inline void CursesOn();
  inline void CursesOff();
  inline void CursesClrScrn();
  void CursesPrtLine(int, mstring, int);
  int hasOutput(int&, int&, msgstr);
  void doOutputStuff(int, int, msgstr);
  void ioLoop();
};
